<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.mq.mapper.plan.FhzgPlanTransferSchemeEvaluationIndexMapper">

    <insert id="batchInsert">
        insert into fhzg_plan_transfer_scheme_evaluation_index
        (id,scheme_id,transfer_load_ratio,opposite_line_max_load_rate,switch_operation_times
        ,loss_users,non_auto_switch_operation_times,distribution_transformer_voltage,
        to_be_transfer_load,carried_load,auto_switch_operation_times,total_to_be_transfer_users,
        loss_important_users,loss_sensitive_users)
        values
        <foreach collection="list" item="item" index="index" separator=",">
            (#{item.id},#{item.schemeId},#{item.transferLoadRatio},#{item.oppositeLineMaxLoadRate},#{item.switchOperationTimes},
            #{item.lossUsers},#{item.nonAutoSwitchOperationTimes},#{item.distributionTransformerVoltage},#{item.toBeTransferLoad},
            #{item.carriedLoad},#{item.autoSwitchOperationTimes},#{item.totalToBeTransferUsers},#{item.lossImportantUsers},
            #{item.lossSensitiveUsers})
        </foreach>
    </insert>



</mapper>
